
#ifndef _IMAGE
#define _IMAGE

#define SIZE 32
#define WIDTH (128/SIZE)
#define HEIGHT (64/SIZE)
#define SIZE_CASE (SIZE*SIZE/8)

class Image
{
	private:
		char image1[1024], image2[1024], imageSwap1[1024], imageSwap2[1024];
		bool isOk[WIDTH][HEIGHT];

	public:
		Image();
		void load(char* img1, char*img2);
		void swap();
		void swap(int x1, int y1, int x2, int y2);
		void getCase(int x, int y, char* tab1, char* tab2);
		void getCaseOrigin(int x, int y, char* tab1, char* tab2);
		void setCase(int x, int y, char* tab1, char* tab2);
		bool verifyCase(int x, int y);
		bool terminated();
		char* getBuffer1() { return imageSwap1; }
		char* getBuffer2() { return imageSwap2; }
};

#endif
